﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Storage;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Media.Imaging;
using Windows.UI.Xaml.Navigation;

// The User Control item template is documented at http://go.microsoft.com/fwlink/?LinkId=234236

namespace PrintTest
{
  public sealed partial class ImageUserControl : UserControl
  {
    public ImageUserControl()
    {
      this.InitializeComponent();
    }

    public static DependencyProperty ImageUriProperty =
      DependencyProperty.Register("ImageUri", typeof(string),
      typeof(ImageUserControl), null);

    string ImageUri
    {
      get
      {
        return ((string)base.GetValue(ImageUriProperty));
      }
      set
      {
        base.SetValue(ImageUriProperty, value);
      }
    }
    public async Task LoadAsync()
    {
      // Note, this is going to work from the app package,
      // not from the web - that's a different API call.
      var file = await StorageFile.GetFileFromApplicationUriAsync(
        new Uri(this.ImageUri));

      var stream = await file.OpenReadAsync();

      BitmapImage bitmapImage = new BitmapImage();

      await bitmapImage.SetSourceAsync(stream);

      this.imgScreen.Source = bitmapImage;
    }
  }
}